Subject: Re: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Robert Marshall <[email-masked]>
Date: Thu, 20 Mar 2014 12:57:10 +0000

Juanma Barranquero writes:
 > On Thu, Mar 20, 2014 at 10:08 AM, Robert Marshall <[email-masked]> wrote:
 > > On starting emacs with desktop enabled the frame appears normal until
 > > loading is complete when the window title/ iconize button etc disappears
 > > together with the minibuffer. I have a screenshot of the frame (if
 > > needed for clarity)
 > 
 > If you start Emacs with
 > 
 >   (setq desktop-restore-frames nil)
 >   (desktop-mode 1)
 > 
 > does still happen? (Perhaps desktop is restoring a frame with some
 > weird parameters...)
 > 

Yes that solves the problem - (assuming you meant (desktop-save-mode 1) ) 
- there only though appeared to be one frame when the faulty
restore happened - and the problem occurred more than once - in both
cases I was exiting (and implicitly saving the desktop) when only
one frame was open (at least as far as I could see!).

Robert
-- 
Robert Marshall